<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
/*---------------------------------------------------+
| Administrator's NotePad - v.1.0
| Coding From Digitanium's Newsletter Infusion
| Author: Bones - www.bikers-n-outlaws.com
| Support: No support - Get bent!
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once "subheader.php";
require_once ADMIN."navigation.php";

if ($settings['tinymce_enabled'] == 1) echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";

if (file_exists(INFUSIONS."notepad/locale/".$settings['locale'].".php")) {
	include INFUSIONS."notepad/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."notepad/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");

if (isset($_POST['save'])) {
	$subject = addslash($_POST['subject']);
	$content = addslash($_POST['content']);
	if (isset($notepad_id)) {
		$result = dbquery("UPDATE ".$db_prefix."notepads SET notepad_subject='$subject', notepad_content='$content', notepad_format='".$_POST['format']."' WHERE notepad_id='$notepad_id'");
		opentable($locale['np411']);
		echo "<center><br>
".$locale['np415']."<br><br>
<a href='notepad_admin.php'>".$locale['np421']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['np422']."</a><br><br>
</center>\n";
		closetable();
	} else {
		$result = dbquery("INSERT INTO ".$db_prefix."notepads (notepad_subject, notepad_content, notepad_format, notepad_datestamp) VALUES('$subject', '$content', '".$_POST['format']."', '".time()."')");
		opentable($locale['np410']);
		echo "<center><br>
".$locale['np414']."<br><br>
<a href='notepad_admin.php'>".$locale['np421']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['np422']."</a><br><br>
</center>\n";
		closetable();
	}
} else if (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".$db_prefix."notepads WHERE notepad_id='$notepad_id'");
	opentable($locale['np413']);
	echo "<center><br>
".$locale['np420']."<br><br>
<a href='notepad_admin.php'>".$locale['np421']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['np422']."</a><br><br>
</center>\n";
	closetable();
} else {
	if (isset($_POST['preview'])) {
		$subject = phpentities(stripslash($_POST['subject']));
		$content = phpentities(stripslash($_POST['content']));
		$plain = ($_POST['format'] == "plain" ? " checked" : "");
		$html = ($_POST['format'] == "html" ? " checked" : "");
		if ($_POST['format'] == "plain") {
			$contentpreview = nl2br(stripslash($_POST['content']));
		} else {
			$contentpreview = stripslash($_POST['content']);
		}
		opentable($subject);
		echo "$contentpreview\n";
		closetable();
		tablebreak();
	}
	opentable($locale['np400']);
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."notepads ORDER BY notepad_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if (isset($notepad_id)) $sel = ($notepad_id == $data['notepad_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['notepad_id']."'$sel>".$data['notepad_subject']."</option>\n";
		}
	}
	echo "<form name='selectform' method='post' action='".FUSION_SELF."'>
<center>
<select name='notepad_id' class='textbox' style='width:300px;'>
$editlist</select>
<input type='submit' name='edit' value='".$locale['np401']."' class='button'>
<input type='submit' name='delete' value='".$locale['np402']."' onclick='return Deletenotepad();' class='button'><br></center>
</form>\n";
	closetable();
	tablebreak();
	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."notepads WHERE notepad_id='$notepad_id'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = phpentities(stripslashes($data['notepad_subject']));
			$content = phpentities(stripslashes($data['notepad_content']));
			$plain = ($data['notepad_format'] == "plain" ? " checked" : "");
			$html = ($data['notepad_format'] == "html" ? " checked" : "");
		}
	}
	if (isset($notepad_id)) {
		$action = FUSION_SELF."?notepad_id=$notepad_id";
		opentable($locale['np411']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$content = "";
			$html = "";
			$plain = " checked";
		}
		$action = FUSION_SELF;
		opentable($locale['np410']);
	}
	echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this)'>
<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
<tr>
<td width='100'>".$locale['np430']."</td>
<td><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td valign='top' width='100'>".$locale['np431']."</td>
<td><textarea name='content' cols='95' rows='15' class='textbox'>$content</textarea></td>
</tr>\n";
	if ($settings['tinymce_enabled'] != 1) {
		echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px' onClick=\"addText('content', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px' onClick=\"addText('content', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px' onClick=\"addText('content', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('content', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('content', '<img src=\'".str_replace("../","",IMAGES_N)."', '\' style=\'margin:5px\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('content', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('content', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('content', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('content', '<span class=\'alt\'>', '</span>');\"><br>
<select name='setcolor' class='textbox' style='margin-top:5px' onChange=\"addText('content', '<span style=\'color:' + this.options[this.selectedIndex].value + '\'>', '</span>');this.selectedIndex=0;\">
<option value=''>".$locale['420']."</option>
<option value='maroon' style='color:maroon'>Maroon</option>
<option value='red' style='color:red'>Red</option>
<option value='orange' style='color:orange'>Orange</option>
<option value='brown' style='color:brown'>Brown</option>
<option value='yellow' style='color:yellow'>Yellow</option>
<option value='green' style='color:green'>Green</option>
<option value='lime' style='color:lime'>Lime</option>
<option value='olive' style='color:olive'>Olive</option>
<option value='cyan' style='color:cyan'>Cyan</option>
<option value='blue' style='color:blue'>Blue</option>
<option value='navy' style='color:navy'>Navy Blue</option>
<option value='purple' style='color:purple'>Purple</option>
<option value='violet' style='color:violet'>Violet</option>
<option value='black' style='color:black'>Black</option>
<option value='gray' style='color:gray'>Gray</option>
<option value='silver' style='color:silver'>Silver</option>
<option value='white' style='color:white'>White</option>
</select>
<select name='insertimage' class='textbox' style='margin-top:5px' onChange=\"insertText('content', '<img src=\'".str_replace("../","",IMAGES_N)."' + this.options[this.selectedIndex].value + '\' style=\'margin:5px\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['421']."</option>
$image_list</select>
</td>
</tr>\n";
	}
	echo "<tr>
<td align='center' colspan='2'><br>
<input type='submit' name='preview' value='".$locale['np436']."' class='button'>
<input type='submit' name='save' value='".$locale['np437']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	echo "<script language=\"JavaScript\">
function Deletenotepad() {
	return confirm('".$locale['np451']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['np450']."');
		return false;
	}
}
</script>\n";
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>